Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
insight
/
generate-report
aid_insight_service_generate_report
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/insight/generate-report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataType": "checkout/transactions",
  "name": "<string>",
  "from": "2023-11-07T05:31:56Z",
  "to": "2023-11-07T05:31:56Z"
}
'
{
  "dataType": "checkout/transactions",
  "name": "<string>",
  "from": "2023-11-07T05:31:56Z",
  "to": "2023-11-07T05:31:56Z",
  "emails": [
    "<string>"
  ],
  "reportFilters": [
    {
      "value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

Insight Report Params

dataType
enum<string>
required

Service (source) and type of data used to create the report

Available options:
checkout/transactions
name
string
required

Custom name of the report. Will be shown in report listing and in the report filename

Maximum string length: 64
from
string<date-time>
required

The start of the data interval, must adhere to ISO 8601 dateformat (YYYY-MM-DD)

to
string<date-time>
required

The end of the data interval, must adhere to ISO 8601 dateformat (YYYY-MM-DD)

schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
emails
string[]

Emails will receive auto-generated report (or link to report if the report is to large)

reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentType
enum<string>

Content type for the report

Available options:
application/pdf,
text/csv

Response

Insight report params used to generate report

dataType
enum<string>
required

Service (source) and type of data used to create the report

Available options:
checkout/transactions
name
string
required

Custom name of the report. Will be shown in report listing and in the report filename

Maximum string length: 64
from
string<date-time>
required

The start of the data interval, must adhere to ISO 8601 dateformat (YYYY-MM-DD)

to
string<date-time>
required

The end of the data interval, must adhere to ISO 8601 dateformat (YYYY-MM-DD)

schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
emails
string[]

Emails will receive auto-generated report (or link to report if the report is to large)

reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentType
enum<string>

Content type for the report

Available options:
application/pdf,
text/csv
Last modified on June 11, 2026